Results 1 to 4 of 4

Thread: My emulators won't run, missing dependencies

  1. #1
    Join Date
    Sep 2012
    Beans
    12

    My emulators won't run, missing dependencies

    I had to restart my computer and re-install all my emulators. But now when I load a game, they seem to have a problem. For ex, SNES games run slow, and PS1 games take long before they start up. They worked flawless before on my previous install of Ubuntu.
    I'm looking for whatever dependencies I might be missing. I have no idea what these emulators need in order to work. I installed a bunch of things before, but now I can't remember what they were. Something about libgtk. According to research, it isn't included in Ubuntu 13.10 Saucy. PPA's won't install it either, they're outdated.
    I'm using a new Chromebook, with a new 3.0 USB flash drive. The games loaded perfectly fine with this same setup.
    Last edited by MattKimura; April 3rd, 2014 at 07:27 AM. Reason: font and color normalized.

  2. #2
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    8,084
    Distro
    Ubuntu

    Re: My emulators won't run, missing dependencies

    Can you tell us which snes and ps1 emulators you have?

    There are several for each, and some come ready to use in Ubuntu.
    (Like pcsx-r, and zsnes)

    Others, though, may not be as well put together for Ubuntu's more recent releases.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  3. #3
    Join Date
    Sep 2012
    Beans
    12

    Re: My emulators won't run, missing dependencies

    Quote Originally Posted by deadflowr View Post
    Can you tell us which snes and ps1 emulators you have?

    There are several for each, and some come ready to use in Ubuntu.
    (Like pcsx-r, and zsnes)

    Others, though, may not be as well put together for Ubuntu's more recent releases.
    Thanks for the reply, but I've solved my problem.

    It was a fresh Ubuntu install, so I had to run :sudo apt-get update && sudo apt-get upgrade

    Then I had to install Ubuntu-restricted-extras
    Then I installed Java (That doesn't effect emulators)

    So then I ran Snes9x, and it worked flawless like it did back then. PCSXR works flawless as well, happy to see my emulators working properly now.

    On a side note, Im using a chromebook, and Im using what's called "Crouton". It's what's running Ubuntu on my Chromebook. I updated Crouton, so that may have also fixed my problem with the emulators. Whenever a ChromeOS update is released, it messes up Crouton.

  4. #4
    Join Date
    Apr 2014
    Beans
    1

    Re: My emulators won't run, missing dependencies

    I had similar problem. Thanks, it worked for me too.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •